| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::gapi::ie::PyParams Class Reference

`#include <opencv2/gapi/infer/bindings_ie.hpp>`

Collaboration diagram for cv::gapi::ie::PyParams:

## Public Member Functions
GAPI_WRAP | PyParams ()=default
GAPI_WRAP | PyParams (const std::string &tag, const std::string &model, const std::string &device)
GAPI_WRAP | PyParams (const std::string &tag, const std::string &model, const std::string &weights, const std::string &device)
GBackend | backend () const
GAPI_WRAP PyParams & | cfgBatchSize (const size_t size)
GAPI_WRAP PyParams & | cfgNumRequests (size_t nireq)
GAPI_WRAP PyParams & | constInput (const std::string &layer_name, const cv::Mat &data, TraitAs hint=TraitAs::TENSOR)
cv::util::any | params () const
std::string | tag () const

## Constructor & Destructor Documentation

## ◆ PyParams() [1/3]

GAPI_WRAP cv::gapi::ie::PyParams::PyParams | ( |  | ) |
| default

Python:
| cv.gapi.ie.PyParams( |  | ) -> | <gapi_ie_PyParams object>
| cv.gapi.ie.PyParams( | tag, model, weights, device | ) -> | <gapi_ie_PyParams object>
| cv.gapi.ie.PyParams( | tag, model, device | ) -> | <gapi_ie_PyParams object>

## ◆ PyParams() [2/3]

GAPI_WRAP cv::gapi::ie::PyParams::PyParams | ( | const std::string & | tag,
|  | const std::string & | model,
|  | const std::string & | weights,
|  | const std::string & | device )

Python:
| cv.gapi.ie.PyParams( |  | ) -> | <gapi_ie_PyParams object>
| cv.gapi.ie.PyParams( | tag, model, weights, device | ) -> | <gapi_ie_PyParams object>
| cv.gapi.ie.PyParams( | tag, model, device | ) -> | <gapi_ie_PyParams object>

## ◆ PyParams() [3/3]

GAPI_WRAP cv::gapi::ie::PyParams::PyParams | ( | const std::string & | tag,
|  | const std::string & | model,
|  | const std::string & | device )

Python:
| cv.gapi.ie.PyParams( |  | ) -> | <gapi_ie_PyParams object>
| cv.gapi.ie.PyParams( | tag, model, weights, device | ) -> | <gapi_ie_PyParams object>
| cv.gapi.ie.PyParams( | tag, model, device | ) -> | <gapi_ie_PyParams object>

## Member Function Documentation

## ◆ backend()

GBackend cv::gapi::ie::PyParams::backend | ( |  | ) | const

## ◆ cfgBatchSize()

GAPI_WRAP PyParams & cv::gapi::ie::PyParams::cfgBatchSize | ( | const size_t | size | ) |

Python:
| cv.gapi.ie.PyParams.cfgBatchSize( | size | ) -> | retval

## ◆ cfgNumRequests()

GAPI_WRAP PyParams & cv::gapi::ie::PyParams::cfgNumRequests | ( | size_t | nireq | ) |

Python:
| cv.gapi.ie.PyParams.cfgNumRequests( | nireq | ) -> | retval

## ◆ constInput()

GAPI_WRAP PyParams & cv::gapi::ie::PyParams::constInput | ( | const std::string & | layer_name,
|  | const cv::Mat & | data,
|  | TraitAs | hint = TraitAs::TENSOR )

Python:
| cv.gapi.ie.PyParams.constInput( | layer_name, data[, hint] | ) -> | retval

## ◆ params()

cv::util::any cv::gapi::ie::PyParams::params | ( |  | ) | const

## ◆ tag()

std::string cv::gapi::ie::PyParams::tag | ( |  | ) | const

The documentation for this class was generated from the following file:

- opencv2/gapi/infer/bindings_ie.hpp